HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials

HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials (http://www.howtoforge.com/forums/index.php)
-   Installation/Configuration (http://www.howtoforge.com/forums/forumdisplay.php?f=4)
-   -   Installing Webmin on Ubuntu Linux (Server edition) (http://www.howtoforge.com/forums/showthread.php?t=11811)

U2XS 1st April 2007 07:38

Installing Webmin on Ubuntu Linux (Server edition)
 
I'm following This Tutorial and I got to the early step of installing webadmin. The version is newer than the one in the tutorial and it tells me that it will not install because it does not have the dependencies.

I have tried the following commands with some success
Quote:

sudo dpkg --install webmin_1.330_all.deb
Quote:

sudo apt-get update
Quote:

sudo apt-get install perl5 libnet-ssleay-perl
Finally I got as far as this step. But here is where I am stuck. Can anyone help me download/locate/install these dependencies?
Quote:

family@ubuntu:~/Desktop$ sudo dpkg --install webmin_1.330_all.deb
Password:
Selecting previously deselected package webmin.
(Reading database ... 88486 files and directories currently installed.)
Unpacking webmin (from webmin_1.330_all.deb) ...
dpkg: dependency problems prevent configuration of webmin:
webmin depends on libnet-ssleay-perl; however:
Package libnet-ssleay-perl is not installed.
webmin depends on libauthen-pam-perl; however:
Package libauthen-pam-perl is not installed.
webmin depends on libio-pty-perl; however:
Package libio-pty-perl is not installed.
webmin depends on libmd5-perl; however:
Package libmd5-perl is not installed.
dpkg: error processing webmin (--install):
dependency problems - leaving unconfigured
Errors were encountered while processing:
webmin

iverson0881 1st April 2007 12:31

please use the command:

apt-get install libnet-ssleay-perl libauthen-pam-perl libio-pty-perl libmd5-perl

then run:

dpkg -i webmin_1.330_all.deb

It should work then.

xerophyte 1st April 2007 13:22

But it recommended to install the webmin from the source tarball, because the deb configure differently.

U2XS 1st April 2007 18:30

Thanks for the response. I tried the code and wound up with this.

Quote:

family@ubuntu:~/Desktop$ sudo apt-get install libnet-ssleay-perl libauthen-pam-perl libio-pty-perl libmd5-perl
Reading package lists... Done
Building dependency tree
Reading state information... Done
libnet-ssleay-perl is already the newest version.
Package libauthen-pam-perl is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package libauthen-pam-perl has no installation candidate
It seems that we've found the problem. Does anyone know how to install libauthen-pam-perl seperately - not directly from the server?? Thanks

iverson0881 2nd April 2007 03:17

Hmm that's odd I found that in the dapper release of Ubuntu that package does exist.

as found here:
http://packages.ubuntu.com/cgi-bin/s...er&release=all

but you need to have the universe repository enabled.

falko 2nd April 2007 15:28

Yes, please make sure that the universe repository is enabled in /etc/apt/sources.list.

U2XS 2nd April 2007 16:15

I'm pretty sure this is it. I just looked at the file in the directory you mentioned and it states.

Quote:

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
How do I enable the Universe repository?

falko 3rd April 2007 18:24

Please post your full /etc/apt/sources.list.

U2XS 3rd April 2007 19:10

My sources list can be found here Thanks

falko 4th April 2007 14:02

Please uncomment these two lines:
Code:

# deb http://us.archive.ubuntu.com/ubuntu/ edgy universe
# deb-src http://us.archive.ubuntu.com/ubuntu/ edgy universe

so that they read
Code:

deb http://us.archive.ubuntu.com/ubuntu/ edgy universe
deb-src http://us.archive.ubuntu.com/ubuntu/ edgy universe

Run
Code:

apt-get update
afterwards.


All times are GMT +2. The time now is 09:46.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.